-- Zooms out when you enter combat, zooms back in when you leave it,
-- giving you a wide field of view to see AOE and baddies when fighting.

local addon = CreateFrame("Frame")

--register events
addon:RegisterEvent("PLAYER_ENTERING_WORLD")
addon:RegisterEvent("PLAYER_REGEN_DISABLED")
addon:RegisterEvent("PLAYER_REGEN_ENABLED")

addon:SetScript("OnEvent", function(self, event, ...)
	if UnitAffectingCombat("player") then
		-- entering combat
		SaveView(1)
		MoveViewOutStart(1000)
		CameraZoomOut(20)
	else
		-- not in combat
		SetView(1)
		SetCVar("cameraPivot", 1);
		MoveViewInStart(1000)
		CameraZoomIn(-20)
	end
end)
